<template>
  <div class="home-articulo pt-10 md:flex flex-col justify-around items-center p-5">
    <h1 class="pb-2">{{ articulo.titulo }}</h1>
    <img class="h-72 w-96" v-bind:src="articulo.imagen" alt="" />
    <p>{{ articulo.cuerpo }}</p>
    <div>
      <div>{{ articulo.autor }}</div>
      <div>{{ articulo.fecha }}</div>
    </div>
  </div>
</template>

<script>
import articuloService from "../service/articulo.service.js";

export default {
  data: function () {
    return {
      mensajeBienvenida: String,
      nombrePagina: String,
      articulo: {},
    };
  },
  mounted: function () {
    let id = this.$route.params.id;
    this.buscarArticulo(id);
  },
  methods: {
    buscarArticulo(id) {
      articuloService.obtener(id).then((response) => {
        this.articulo = response.data;
      });
    },
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.home-articulo {
  color: white;
  height: 100vh;
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' version='1.1' xmlns:xlink='http://www.w3.org/1999/xlink' xmlns:svgjs='http://svgjs.com/svgjs' width='1440' height='560' preserveAspectRatio='none' viewBox='0 0 1440 560'%3e%3cg mask='url(%26quot%3b%23SvgjsMask1062%26quot%3b)' fill='none'%3e%3crect width='1440' height='560' x='0' y='0' fill='rgba(159%2c 33%2c 203%2c 1)'%3e%3c/rect%3e%3cpath d='M 0%2c49 C 96%2c81.8 288%2c209.6 480%2c213 C 672%2c216.4 768%2c79.4 960%2c66 C 1152%2c52.6 1344%2c130 1440%2c146L1440 560L0 560z' fill='rgba(135%2c 4%2c 156%2c 1)'%3e%3c/path%3e%3cpath d='M 0%2c437 C 96%2c417 288%2c320.2 480%2c337 C 672%2c353.8 768%2c517.4 960%2c521 C 1152%2c524.6 1344%2c388.2 1440%2c355L1440 560L0 560z' fill='rgba(62%2c 1%2c 73%2c 1)'%3e%3c/path%3e%3c/g%3e%3cdefs%3e%3cmask id='SvgjsMask1062'%3e%3crect width='1440' height='560' fill='white'%3e%3c/rect%3e%3c/mask%3e%3c/defs%3e%3c/svg%3e");
  background-size: cover;
}
</style>
